// _GestionEmploye_Interface.java
// Created on 19 août 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.onglets;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _GestionEmploye_Interface extends COFrame {

    /** Creates new form _GestionEmploye_Interface */
    public _GestionEmploye_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jTabbedPane1 = new javax.swing.JTabbedPane();
        Infos = new javax.swing.JPanel();
        Contrats = new javax.swing.JPanel();
        jTabbedPane9 = new javax.swing.JTabbedPane();
        Contrats1 = new javax.swing.JPanel();
        Vacations = new javax.swing.JPanel();
        Heberge = new javax.swing.JPanel();
        Carriere = new javax.swing.JPanel();
        jTabbedPane8 = new javax.swing.JTabbedPane();
        Segments = new javax.swing.JPanel();
        MAD = new javax.swing.JPanel();
        ProlongationActivite = new javax.swing.JPanel();
        Promotions = new javax.swing.JPanel();
        Carriere1 = new javax.swing.JPanel();
        AffOcc = new javax.swing.JPanel();
        Modalités = new javax.swing.JPanel();
        CongesLegaux = new javax.swing.JPanel();
        jTabbedPane16 = new javax.swing.JTabbedPane();
        Occupations2 = new javax.swing.JPanel();
        Affectations2 = new javax.swing.JPanel();
        Affectations3 = new javax.swing.JPanel();
        Primes = new javax.swing.JPanel();
        LigneBud = new javax.swing.JPanel();
        Divers = new javax.swing.JPanel();
        jTabbedPane2 = new javax.swing.JTabbedPane();
        Anciennete = new javax.swing.JPanel();
        SyntheseCarriere1 = new javax.swing.JPanel();
        lblInfosAppli = new org.cocktail.component.COLabel();
        tfInfosAgent = new javax.swing.JTextField();
        btnFicheIdentite = new javax.swing.JButton();

        setControllerClassName("org.cocktail.mangue.client.onglets.GestionEmploye");
        setSize(new java.awt.Dimension(729, 706));

        jTabbedPane1.setFont(new java.awt.Font("Helvetica", 0, 12));

        Infos.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout InfosLayout = new org.jdesktop.layout.GroupLayout(Infos);
        Infos.setLayout(InfosLayout);
        InfosLayout.setHorizontalGroup(
            InfosLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 698, Short.MAX_VALUE)
        );
        InfosLayout.setVerticalGroup(
            InfosLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 655, Short.MAX_VALUE)
        );

        jTabbedPane1.addTab("Infos", Infos);

        Contrats.setFont(new java.awt.Font("Helvetica", 0, 12));

        jTabbedPane9.setFont(new java.awt.Font("Helvetica", 0, 12));

        Contrats1.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout Contrats1Layout = new org.jdesktop.layout.GroupLayout(Contrats1);
        Contrats1.setLayout(Contrats1Layout);
        Contrats1Layout.setHorizontalGroup(
            Contrats1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 683, Short.MAX_VALUE)
        );
        Contrats1Layout.setVerticalGroup(
            Contrats1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 625, Short.MAX_VALUE)
        );

        jTabbedPane9.addTab("Contrats", Contrats1);

        Vacations.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout VacationsLayout = new org.jdesktop.layout.GroupLayout(Vacations);
        Vacations.setLayout(VacationsLayout);
        VacationsLayout.setHorizontalGroup(
            VacationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 683, Short.MAX_VALUE)
        );
        VacationsLayout.setVerticalGroup(
            VacationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 625, Short.MAX_VALUE)
        );

        jTabbedPane9.addTab("Vacations", Vacations);

        Heberge.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout HebergeLayout = new org.jdesktop.layout.GroupLayout(Heberge);
        Heberge.setLayout(HebergeLayout);
        HebergeLayout.setHorizontalGroup(
            HebergeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 683, Short.MAX_VALUE)
        );
        HebergeLayout.setVerticalGroup(
            HebergeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 625, Short.MAX_VALUE)
        );

        jTabbedPane9.addTab("Hebergé", Heberge);

        org.jdesktop.layout.GroupLayout ContratsLayout = new org.jdesktop.layout.GroupLayout(Contrats);
        Contrats.setLayout(ContratsLayout);
        ContratsLayout.setHorizontalGroup(
            ContratsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(ContratsLayout.createSequentialGroup()
                .addContainerGap()
                .add(jTabbedPane9, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 688, Short.MAX_VALUE))
        );
        ContratsLayout.setVerticalGroup(
            ContratsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jTabbedPane9, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 655, Short.MAX_VALUE)
        );

        jTabbedPane1.addTab("Contrats", Contrats);

        Carriere.setFont(new java.awt.Font("Helvetica", 0, 12));

        jTabbedPane8.setFont(new java.awt.Font("Helvetica", 0, 12));

        Segments.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout SegmentsLayout = new org.jdesktop.layout.GroupLayout(Segments);
        Segments.setLayout(SegmentsLayout);
        SegmentsLayout.setHorizontalGroup(
            SegmentsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 683, Short.MAX_VALUE)
        );
        SegmentsLayout.setVerticalGroup(
            SegmentsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 625, Short.MAX_VALUE)
        );

        jTabbedPane8.addTab("Segments", Segments);

        MAD.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout MADLayout = new org.jdesktop.layout.GroupLayout(MAD);
        MAD.setLayout(MADLayout);
        MADLayout.setHorizontalGroup(
            MADLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 683, Short.MAX_VALUE)
        );
        MADLayout.setVerticalGroup(
            MADLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 625, Short.MAX_VALUE)
        );

        jTabbedPane8.addTab("MAD", MAD);

        ProlongationActivite.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout ProlongationActiviteLayout = new org.jdesktop.layout.GroupLayout(ProlongationActivite);
        ProlongationActivite.setLayout(ProlongationActiviteLayout);
        ProlongationActiviteLayout.setHorizontalGroup(
            ProlongationActiviteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 683, Short.MAX_VALUE)
        );
        ProlongationActiviteLayout.setVerticalGroup(
            ProlongationActiviteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 625, Short.MAX_VALUE)
        );

        jTabbedPane8.addTab("Prolongation d'activité", ProlongationActivite);

        Promotions.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout PromotionsLayout = new org.jdesktop.layout.GroupLayout(Promotions);
        Promotions.setLayout(PromotionsLayout);
        PromotionsLayout.setHorizontalGroup(
            PromotionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 683, Short.MAX_VALUE)
        );
        PromotionsLayout.setVerticalGroup(
            PromotionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 625, Short.MAX_VALUE)
        );

        jTabbedPane8.addTab("Promotions", Promotions);

        org.jdesktop.layout.GroupLayout CarriereLayout = new org.jdesktop.layout.GroupLayout(Carriere);
        Carriere.setLayout(CarriereLayout);
        CarriereLayout.setHorizontalGroup(
            CarriereLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(CarriereLayout.createSequentialGroup()
                .addContainerGap()
                .add(jTabbedPane8, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 688, Short.MAX_VALUE))
        );
        CarriereLayout.setVerticalGroup(
            CarriereLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jTabbedPane8, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 655, Short.MAX_VALUE)
        );

        jTabbedPane1.addTab("Carrière", Carriere);

        Carriere1.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout Carriere1Layout = new org.jdesktop.layout.GroupLayout(Carriere1);
        Carriere1.setLayout(Carriere1Layout);
        Carriere1Layout.setHorizontalGroup(
            Carriere1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 698, Short.MAX_VALUE)
        );
        Carriere1Layout.setVerticalGroup(
            Carriere1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 655, Short.MAX_VALUE)
        );

        jTabbedPane1.addTab("Passé ", Carriere1);

        AffOcc.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout AffOccLayout = new org.jdesktop.layout.GroupLayout(AffOcc);
        AffOcc.setLayout(AffOccLayout);
        AffOccLayout.setHorizontalGroup(
            AffOccLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 698, Short.MAX_VALUE)
        );
        AffOccLayout.setVerticalGroup(
            AffOccLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 655, Short.MAX_VALUE)
        );

        jTabbedPane1.addTab("Aff. Occ.", AffOcc);

        Modalités.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout ModalitésLayout = new org.jdesktop.layout.GroupLayout(Modalités);
        Modalités.setLayout(ModalitésLayout);
        ModalitésLayout.setHorizontalGroup(
            ModalitésLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 698, Short.MAX_VALUE)
        );
        ModalitésLayout.setVerticalGroup(
            ModalitésLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 655, Short.MAX_VALUE)
        );

        jTabbedPane1.addTab("Modalités", Modalités);

        CongesLegaux.setFont(new java.awt.Font("Helvetica", 0, 12));

        jTabbedPane16.setFont(new java.awt.Font("Helvetica", 0, 12));

        Occupations2.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout Occupations2Layout = new org.jdesktop.layout.GroupLayout(Occupations2);
        Occupations2.setLayout(Occupations2Layout);
        Occupations2Layout.setHorizontalGroup(
            Occupations2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 673, Short.MAX_VALUE)
        );
        Occupations2Layout.setVerticalGroup(
            Occupations2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 614, Short.MAX_VALUE)
        );

        jTabbedPane16.addTab("Congés Légaux", Occupations2);

        Affectations2.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout Affectations2Layout = new org.jdesktop.layout.GroupLayout(Affectations2);
        Affectations2.setLayout(Affectations2Layout);
        Affectations2Layout.setHorizontalGroup(
            Affectations2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 673, Short.MAX_VALUE)
        );
        Affectations2Layout.setVerticalGroup(
            Affectations2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 614, Short.MAX_VALUE)
        );

        jTabbedPane16.addTab("Congés Bonifiés", Affectations2);

        Affectations3.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout Affectations3Layout = new org.jdesktop.layout.GroupLayout(Affectations3);
        Affectations3.setLayout(Affectations3Layout);
        Affectations3Layout.setHorizontalGroup(
            Affectations3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 673, Short.MAX_VALUE)
        );
        Affectations3Layout.setVerticalGroup(
            Affectations3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 614, Short.MAX_VALUE)
        );

        jTabbedPane16.addTab("Congés Fin Activité", Affectations3);

        org.jdesktop.layout.GroupLayout CongesLegauxLayout = new org.jdesktop.layout.GroupLayout(CongesLegaux);
        CongesLegaux.setLayout(CongesLegauxLayout);
        CongesLegauxLayout.setHorizontalGroup(
            CongesLegauxLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(CongesLegauxLayout.createSequentialGroup()
                .addContainerGap()
                .add(jTabbedPane16, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 678, Short.MAX_VALUE)
                .addContainerGap())
        );
        CongesLegauxLayout.setVerticalGroup(
            CongesLegauxLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(CongesLegauxLayout.createSequentialGroup()
                .add(jTabbedPane16, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 644, Short.MAX_VALUE)
                .addContainerGap())
        );

        jTabbedPane1.addTab("Congés", CongesLegaux);

        Primes.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout PrimesLayout = new org.jdesktop.layout.GroupLayout(Primes);
        Primes.setLayout(PrimesLayout);
        PrimesLayout.setHorizontalGroup(
            PrimesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 698, Short.MAX_VALUE)
        );
        PrimesLayout.setVerticalGroup(
            PrimesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 655, Short.MAX_VALUE)
        );

        jTabbedPane1.addTab("Primes", Primes);

        LigneBud.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout LigneBudLayout = new org.jdesktop.layout.GroupLayout(LigneBud);
        LigneBud.setLayout(LigneBudLayout);
        LigneBudLayout.setHorizontalGroup(
            LigneBudLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 698, Short.MAX_VALUE)
        );
        LigneBudLayout.setVerticalGroup(
            LigneBudLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 655, Short.MAX_VALUE)
        );

        jTabbedPane1.addTab("L. Bud.", LigneBud);

        Divers.setFont(new java.awt.Font("Helvetica", 0, 12));

        jTabbedPane2.setFont(new java.awt.Font("Helvetica", 0, 12));

        Anciennete.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout AncienneteLayout = new org.jdesktop.layout.GroupLayout(Anciennete);
        Anciennete.setLayout(AncienneteLayout);
        AncienneteLayout.setHorizontalGroup(
            AncienneteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 673, Short.MAX_VALUE)
        );
        AncienneteLayout.setVerticalGroup(
            AncienneteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 603, Short.MAX_VALUE)
        );

        jTabbedPane2.addTab("Ancienneté", Anciennete);

        SyntheseCarriere1.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout SyntheseCarriere1Layout = new org.jdesktop.layout.GroupLayout(SyntheseCarriere1);
        SyntheseCarriere1.setLayout(SyntheseCarriere1Layout);
        SyntheseCarriere1Layout.setHorizontalGroup(
            SyntheseCarriere1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 673, Short.MAX_VALUE)
        );
        SyntheseCarriere1Layout.setVerticalGroup(
            SyntheseCarriere1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 603, Short.MAX_VALUE)
        );

        jTabbedPane2.addTab("Synthèse Carrière", SyntheseCarriere1);

        org.jdesktop.layout.GroupLayout DiversLayout = new org.jdesktop.layout.GroupLayout(Divers);
        Divers.setLayout(DiversLayout);
        DiversLayout.setHorizontalGroup(
            DiversLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(DiversLayout.createSequentialGroup()
                .addContainerGap()
                .add(jTabbedPane2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 678, Short.MAX_VALUE)
                .addContainerGap())
        );
        DiversLayout.setVerticalGroup(
            DiversLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(DiversLayout.createSequentialGroup()
                .addContainerGap()
                .add(jTabbedPane2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 633, Short.MAX_VALUE)
                .addContainerGap())
        );

        jTabbedPane1.addTab("Synthèse", Divers);

        lblInfosAppli.setFont(new java.awt.Font("Helvetica", 0, 11));
        lblInfosAppli.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        lblInfosAppli.setValueName("texteVersion");
        lblInfosAppli.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                lblInfosAppliActionPerformed(evt);
            }
        });

        tfInfosAgent.setBackground(new java.awt.Color(198, 223, 212));
        tfInfosAgent.setEditable(false);
        tfInfosAgent.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        tfInfosAgent.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfInfosAgent.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        tfInfosAgent.setFocusable(false);

        btnFicheIdentite.setToolTipText("Fiche identité de l'agent");
        btnFicheIdentite.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        btnFicheIdentite.setContentAreaFilled(false);
        btnFicheIdentite.setFocusable(false);

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jTabbedPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 703, Short.MAX_VALUE)
                    .add(lblInfosAppli, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 703, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(tfInfosAgent, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 668, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnFicheIdentite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 29, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(btnFicheIdentite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfInfosAgent, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jTabbedPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 685, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(lblInfosAppli, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void lblInfosAppliActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_lblInfosAppliActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_lblInfosAppliActionPerformed
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public javax.swing.JPanel AffOcc;
    public javax.swing.JPanel Affectations2;
    public javax.swing.JPanel Affectations3;
    public javax.swing.JPanel Anciennete;
    public javax.swing.JPanel Carriere;
    public javax.swing.JPanel Carriere1;
    public javax.swing.JPanel CongesLegaux;
    public javax.swing.JPanel Contrats;
    public javax.swing.JPanel Contrats1;
    public javax.swing.JPanel Divers;
    public javax.swing.JPanel Heberge;
    public javax.swing.JPanel Infos;
    public javax.swing.JPanel LigneBud;
    public javax.swing.JPanel MAD;
    public javax.swing.JPanel Modalités;
    public javax.swing.JPanel Occupations2;
    public javax.swing.JPanel Primes;
    public javax.swing.JPanel ProlongationActivite;
    public javax.swing.JPanel Promotions;
    public javax.swing.JPanel Segments;
    public javax.swing.JPanel SyntheseCarriere1;
    public javax.swing.JPanel Vacations;
    public javax.swing.JButton btnFicheIdentite;
    public javax.swing.JTabbedPane jTabbedPane1;
    public javax.swing.JTabbedPane jTabbedPane16;
    public javax.swing.JTabbedPane jTabbedPane2;
    public javax.swing.JTabbedPane jTabbedPane8;
    public javax.swing.JTabbedPane jTabbedPane9;
    public org.cocktail.component.COLabel lblInfosAppli;
    public javax.swing.JTextField tfInfosAgent;
    // End of variables declaration//GEN-END:variables
                  

}
